net.sourceforge.pmd.lang.java.ast

## Class JavaParserVisitorAdapter

- java.lang.Object
- - net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter

- All Implemented Interfaces:
    JavaParserVisitor
  Direct Known Subclasses:
    ClassTypeResolver, DataFlowFacade, DumpFacade, OccurrenceFinder, ScopeAndDeclarationFinder, StatementAndBraceFinder, SymbolTableViewer, TypeResolutionFacade, VariableAccessVisitor

      public class JavaParserVisitorAdapter
      extends Object
      implements JavaParserVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaParserVisitorAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `visit(ASTAdditiveExpression node, Object data)`
    `Object` | `visit(ASTAllocationExpression node, Object data)`
    `Object` | `visit(ASTAndExpression node, Object data)`
    `Object` | `visit(ASTAnnotationMethodDeclaration node, Object data)`
    `Object` | `visit(ASTAnnotation node, Object data)`
    `Object` | `visit(ASTAnnotationTypeBody node, Object data)`
    `Object` | `visit(ASTAnnotationTypeDeclaration node, Object data)`
    `Object` | `visit(ASTAnnotationTypeMemberDeclaration node, Object data)`
    `Object` | `visit(ASTArgumentList node, Object data)`
    `Object` | `visit(ASTArguments node, Object data)`
    `Object` | `visit(ASTArrayDimsAndInits node, Object data)`
    `Object` | `visit(ASTArrayInitializer node, Object data)`
    `Object` | `visit(ASTAssertStatement node, Object data)`
    `Object` | `visit(ASTAssignmentOperator node, Object data)`
    `Object` | `visit(ASTBlock node, Object data)`
    `Object` | `visit(ASTBlockStatement node, Object data)`
    `Object` | `visit(ASTBooleanLiteral node, Object data)`
    `Object` | `visit(ASTBreakStatement node, Object data)`
    `Object` | `visit(ASTCastExpression node, Object data)`
    `Object` | `visit(ASTCatchStatement node, Object data)`
    `Object` | `visit(ASTClassOrInterfaceBodyDeclaration node, Object data)`
    `Object` | `visit(ASTClassOrInterfaceBody node, Object data)`
    `Object` | `visit(ASTClassOrInterfaceDeclaration node, Object data)`
    `Object` | `visit(ASTClassOrInterfaceType node, Object data)`
    `Object` | `visit(ASTCompilationUnit node, Object data)`
    `Object` | `visit(ASTConditionalAndExpression node, Object data)`
    `Object` | `visit(ASTConditionalExpression node, Object data)`
    `Object` | `visit(ASTConditionalOrExpression node, Object data)`
    `Object` | `visit(ASTConstructorDeclaration node, Object data)`
    `Object` | `visit(ASTContinueStatement node, Object data)`
    `Object` | `visit(ASTDefaultValue node, Object data)`
    `Object` | `visit(ASTDoStatement node, Object data)`
    `Object` | `visit(ASTEmptyStatement node, Object data)`
    `Object` | `visit(ASTEnumBody node, Object data)`
    `Object` | `visit(ASTEnumConstant node, Object data)`
    `Object` | `visit(ASTEnumDeclaration node, Object data)`
    `Object` | `visit(ASTEqualityExpression node, Object data)`
    `Object` | `visit(ASTExclusiveOrExpression node, Object data)`
    `Object` | `visit(ASTExplicitConstructorInvocation node, Object data)`
    `Object` | `visit(ASTExpression node, Object data)`
    `Object` | `visit(ASTExtendsList node, Object data)`
    `Object` | `visit(ASTFieldDeclaration node, Object data)`
    `Object` | `visit(ASTFinallyStatement node, Object data)`
    `Object` | `visit(ASTForInit node, Object data)`
    `Object` | `visit(ASTFormalParameter node, Object data)`
    `Object` | `visit(ASTFormalParameters node, Object data)`
    `Object` | `visit(ASTForStatement node, Object data)`
    `Object` | `visit(ASTForUpdate node, Object data)`
    `Object` | `visit(ASTIfStatement node, Object data)`
    `Object` | `visit(ASTImplementsList node, Object data)`
    `Object` | `visit(ASTImportDeclaration node, Object data)`
    `Object` | `visit(ASTInclusiveOrExpression node, Object data)`
    `Object` | `visit(ASTInitializer node, Object data)`
    `Object` | `visit(ASTInstanceOfExpression node, Object data)`
    `Object` | `visit(ASTLabeledStatement node, Object data)`
    `Object` | `visit(ASTLiteral node, Object data)`
    `Object` | `visit(ASTLocalVariableDeclaration node, Object data)`
    `Object` | `visit(ASTMarkerAnnotation node, Object data)`
    `Object` | `visit(ASTMemberSelector node, Object data)`
    `Object` | `visit(ASTMemberValueArrayInitializer node, Object data)`
    `Object` | `visit(ASTMemberValue node, Object data)`
    `Object` | `visit(ASTMemberValuePair node, Object data)`
    `Object` | `visit(ASTMemberValuePairs node, Object data)`
    `Object` | `visit(ASTMethodDeclaration node, Object data)`
    `Object` | `visit(ASTMethodDeclarator node, Object data)`
    `Object` | `visit(ASTMultiplicativeExpression node, Object data)`
    `Object` | `visit(ASTNameList node, Object data)`
    `Object` | `visit(ASTName node, Object data)`
    `Object` | `visit(ASTNormalAnnotation node, Object data)`
    `Object` | `visit(ASTNullLiteral node, Object data)`
    `Object` | `visit(ASTPackageDeclaration node, Object data)`
    `Object` | `visit(ASTPostfixExpression node, Object data)`
    `Object` | `visit(ASTPreDecrementExpression node, Object data)`
    `Object` | `visit(ASTPreIncrementExpression node, Object data)`
    `Object` | `visit(ASTPrimaryExpression node, Object data)`
    `Object` | `visit(ASTPrimaryPrefix node, Object data)`
    `Object` | `visit(ASTPrimarySuffix node, Object data)`
    `Object` | `visit(ASTPrimitiveType node, Object data)`
    `Object` | `visit(ASTReferenceType node, Object data)`
    `Object` | `visit(ASTRelationalExpression node, Object data)`
    `Object` | `visit(ASTResource node, Object data)`
    `Object` | `visit(ASTResources node, Object data)`
    `Object` | `visit(ASTResourceSpecification node, Object data)`
    `Object` | `visit(ASTResultType node, Object data)`
    `Object` | `visit(ASTReturnStatement node, Object data)`
    `Object` | `visit(ASTRSIGNEDSHIFT node, Object data)`
    `Object` | `visit(ASTRUNSIGNEDSHIFT node, Object data)`
    `Object` | `visit(ASTShiftExpression node, Object data)`
    `Object` | `visit(ASTSingleMemberAnnotation node, Object data)`
    `Object` | `visit(ASTStatementExpressionList node, Object data)`
    `Object` | `visit(ASTStatementExpression node, Object data)`
    `Object` | `visit(ASTStatement node, Object data)`
    `Object` | `visit(ASTSwitchLabel node, Object data)`
    `Object` | `visit(ASTSwitchStatement node, Object data)`
    `Object` | `visit(ASTSynchronizedStatement node, Object data)`
    `Object` | `visit(ASTThrowStatement node, Object data)`
    `Object` | `visit(ASTTryStatement node, Object data)`
    `Object` | `visit(ASTTypeArgument node, Object data)`
    `Object` | `visit(ASTTypeArguments node, Object data)`
    `Object` | `visit(ASTTypeBound node, Object data)`
    `Object` | `visit(ASTTypeDeclaration node, Object data)`
    `Object` | `visit(ASTType node, Object data)`
    `Object` | `visit(ASTTypeParameter node, Object data)`
    `Object` | `visit(ASTTypeParameters node, Object data)`
    `Object` | `visit(ASTUnaryExpressionNotPlusMinus node, Object data)`
    `Object` | `visit(ASTUnaryExpression node, Object data)`
    `Object` | `visit(ASTVariableDeclaratorId node, Object data)`
    `Object` | `visit(ASTVariableDeclarator node, Object data)`
    `Object` | `visit(ASTVariableInitializer node, Object data)`
    `Object` | `visit(ASTWhileStatement node, Object data)`
    `Object` | `visit(ASTWildcardBounds node, Object data)`
    `Object` | `visit(JavaNode node, Object data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaParserVisitorAdapter

          public JavaParserVisitorAdapter()

  - ### Method Detail

    - #### visit

          public Object visit(JavaNode node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTExtendsList node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTClassOrInterfaceDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTImplementsList node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTTypeParameters node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTMemberSelector node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTTypeParameter node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTTypeBound node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTClassOrInterfaceBody node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTClassOrInterfaceBodyDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTEnumBody node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTEnumConstant node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTReferenceType node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTClassOrInterfaceType node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTTypeArguments node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTTypeArgument node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTWildcardBounds node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTAnnotation node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTNormalAnnotation node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTMarkerAnnotation node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTSingleMemberAnnotation node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTMemberValuePairs node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTMemberValuePair node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTMemberValue node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTMemberValueArrayInitializer node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTAnnotationTypeDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTAnnotationTypeBody node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTAnnotationTypeMemberDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTAnnotationMethodDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTDefaultValue node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTRUNSIGNEDSHIFT node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTRSIGNEDSHIFT node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTCompilationUnit node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTEnumDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTAssertStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTPackageDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTImportDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTTypeDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTFieldDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTVariableDeclarator node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTVariableDeclaratorId node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTVariableInitializer node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTArrayInitializer node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTMethodDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTMethodDeclarator node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTFormalParameters node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTFormalParameter node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTConstructorDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTExplicitConstructorInvocation node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTInitializer node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTType node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTPrimitiveType node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTResultType node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTName node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTNameList node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTAssignmentOperator node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTConditionalExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTConditionalOrExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTConditionalAndExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTInclusiveOrExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTExclusiveOrExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTAndExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTEqualityExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTInstanceOfExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTRelationalExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTShiftExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTAdditiveExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTMultiplicativeExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTUnaryExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTPreIncrementExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTPreDecrementExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTUnaryExpressionNotPlusMinus node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTPostfixExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTCastExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTPrimaryExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTPrimaryPrefix node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTPrimarySuffix node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTBooleanLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTNullLiteral node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTArguments node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTArgumentList node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTAllocationExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTArrayDimsAndInits node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTLabeledStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTBlock node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTBlockStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTLocalVariableDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTEmptyStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTStatementExpression node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTSwitchStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTSwitchLabel node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTIfStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTWhileStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTDoStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTForStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTForInit node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTStatementExpressionList node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTForUpdate node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTBreakStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTContinueStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTReturnStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTThrowStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTSynchronizedStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTTryStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTResourceSpecification node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTResources node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTResource node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTFinallyStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

    - #### visit

          public Object visit(ASTCatchStatement node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`

Copyright © 2002-2013 InfoEther. All Rights Reserved.